Bug 730105 - Stopping the imagefactory leaves resources in use
Summary: Stopping the imagefactory leaves resources in use
Keywords:
Status: NEW
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: imagefactory
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 1.0.2
Assignee: Ian McLeod
QA Contact: Brad P. Crochet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 19:17 UTC by Chris Lalancette
Modified: 2013-07-04 22:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Chris Lalancette 2011-08-11 19:17:05 UTC
Description of problem:
If you start a job in the imagefactory (say, a build job), and then stop the imagefactory, it will leave resources lying around.  For instance, in the case of an upload build, it will leave the virtual machine that is doing the install still running.  Similar problems happen if you are doing snapshot builds, in that the snapshot instance will be left running.  The factory should clean this stuff up when it gets a SIGTERM.

Comment 1 wes hayutin 2011-09-28 16:40:21 UTC
making sure all the bugs are at the right version for future queries

Comment 4 Ian McLeod 2011-10-21 13:49:27 UTC
We have made an initial cut at this with the following commit:

https://github.com/aeolusproject/imagefactory/commit/67659edd86a1b5a02bc0f8550c8a00bf5947a2e1

This should ensure that no EC2 instances are left running if the factory is shut down mid-build.

We have created a redmine feature to capture the larger effort to make this progressively more robust:

https://www.aeolusproject.org/redmine/issues/2595

This does not, as of yet, terminate running local VMs.

Am putting in ON_QA.

If you would like this to remain open to also cover the cleanup of local VMs that is fine.

Comment 5 Dave Johnson 2011-11-16 19:19:22 UTC
Verified that ec2 instances are shutdown mid-push.

Reopening based on no local cleanup (comment 4)

Comment 6 wes hayutin 2012-01-12 16:52:17 UTC
adding to sprint tracker

Comment 7 wes hayutin 2012-01-16 16:13:59 UTC
local builds.. on the host.. builds should get shutdown.. same in ec2.. 
vsphere and rhevm will stop pushing.. and error out..

on_qa

Comment 9 Brad P. Crochet 2012-02-29 15:17:36 UTC
Local builds for RHEV-M and Vsphere do not get stopped. They continue running even though imagefactory is no longer running. Setting back to NEW.

Comment 10 Mike Orazi 2012-08-15 16:48:43 UTC
This appears to have been auto-approved because flags weren't flipped prior to moving to 1.1.0?.  This is will be considered for a future release.


Note You need to log in before you can comment on or make changes to this bug.